@if (componentData$ | async; as componentData) {
  @if (componentData.uiState.loading) {
    <div
      class="full-width p-10 spinner neutral-background-color current-workspace-main-color"
    >
      <i nz-icon nzType="loading" nzTheme="outline"></i>
    </div>
  }
  @if (!componentData.uiState.loading) {
    <div class="full-width p-10 neutral-background-color">
      <div class="full-width attributes">
        <span class="label"
          >{{
            'sqtm-core.entity.requirement.version-number.label' | translate
          }}:</span
        ><span>{{ componentData.requirementVersion.versionNumber }}</span>
        <span class="label"
          >{{ 'sqtm-core.entity.generic.status.label' | translate }} :</span
        >
        <sqtm-core-editable-select-level-enum-field
          [showIcon]="true"
          [editable]="false"
          [enumType]="'RequirementStatus'"
          [selectedEnumItem]="componentData.requirementVersion.status"
        >
        </sqtm-core-editable-select-level-enum-field>
        <span class="label"
          >{{
            'sqtm-core.entity.generic.criticality.label' | translate
          }}
          :</span
        >
        <sqtm-core-editable-select-level-enum-field
          [showIcon]="true"
          [editable]="false"
          [enumType]="'RequirementCriticality'"
          [selectedEnumItem]="componentData.requirementVersion.criticality"
        >
        </sqtm-core-editable-select-level-enum-field>
        <span class="label"
          >{{
            'sqtm-core.entity.requirement.category.label' | translate
          }}
          :</span
        >
        <sqtm-core-category-label
          [category]="componentData.requirementVersion.category"
        ></sqtm-core-category-label>
      </div>
      <div class="label m-t-10">
        {{ 'sqtm-core.entity.generic.description.label' | translate }} :
      </div>
      <div
        class="m-t-10"
        [innerHTML]="
          componentData.requirementVersion.description | safeRichContent
        "
      ></div>
    </div>
  }
}
